Working Rated 5 out of 5 stars

I found that it will work with FF 8.0 if you use the Add On Compatibility Reporter.

This review is for a previous version of the add-on (7.0.0).  This user has a previous review of this add-on.